# transferConnectionTeamOwnership

Source: /openapi/thomas-federated.openapi.json

## Operation

| Method | URL |
|---|---|
| PUT | https://api.thomas.co/v1/teams/{teamId}/transfer-ownership |

| Field | Value |
|---|---|
| operationId | transferConnectionTeamOwnership |
| method | PUT |
| server | https://api.thomas.co/v1 |
| path | /teams/{teamId}/transfer-ownership |
| tags | `Teams` |
| summary | Transfer connection team ownership |
| badges | None |

## Request Parameters

| Name | In | Required | Schema | Description |
|---|---|---|---|---|
| teamId | path | true | string |  |

## Request Body

| Content type | Schema refs |
|---|---|
| application/json | #/components/schemas/TeamTransferOwnershipDto |

## Responses

| Status | Description | Schema refs |
|---|---|---|
| 200 | Connection team ownership transferred | #/components/schemas/TeamWithMembersResponseDto |
| 400 | Malformed teamId path parameter or invalid payload | #/components/schemas/ApiErrorResponseDto |
| 401 | Invalid or missing authentication token (AUTH_TOKEN_INVALID) | #/components/schemas/ApiErrorResponseDto |
| 404 | Team not found or the caller is not a member | #/components/schemas/ApiErrorResponseDto |

## Artifact Examples

### Response 400 example

```json
{
  "statusCode": 400,
  "message": "Validation failed (uuid is expected)",
  "error": "HTTP_BAD_REQUEST"
}
```

### Response 401 example

```json
{
  "statusCode": 401,
  "message": "Invalid or missing authentication token",
  "error": "AUTH_TOKEN_INVALID"
}
```

### Response 404 example

```json
{
  "statusCode": 404,
  "message": "Team not found",
  "error": "TEAM_NOT_FOUND"
}
```
